Get invoice
curl --request GET \
--url https://api.service.getjusto.com/v3/tabs/{storeId}/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/tabs/{storeId}/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/tabs/{storeId}/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
"providerId": "openFactura",
"storeId": "sto-4c48bf33-1411-4c3f-adac-db39b4631cb8",
"tabId": "tab-4c48bf33-1411-4c3f-adac-db39b4631cb8",
"inventorySaleId": "isale-4c48bf33-1411-4c3f-adac-db39b4631cb8",
"createdAt": "2020-01-01T00:00:00.000Z",
"generatedAt": "2020-01-01T00:00:00.000Z",
"externalInvoiceId": "123456",
"externalVoidInvoiceId": "654321",
"errorMessage": "Error al generar la factura.",
"voidedAt": "2020-01-01T00:00:00.000Z",
"statusLabel": "Pendiente",
"invoiceURL": "https://getjusto.com/invoice/123456",
"totalAmount": 100,
"taxAmount": 10,
"netAmount": 90
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Facturación
Get invoice
Obtiene el detalle de una factura o documento tributario de PDV asociado al local indicado.
GET
/
tabs
/
{storeId}
/
invoices
/
{invoiceId}
Get invoice
Obtiene el detalle de un documento tributario generado desde el PDV.
Usa este endpoint cuando ya tienes el
invoiceId desde el listado de facturación y necesitas revisar el proveedor, cuenta PDV o venta de inventario asociada, estado actual, identificadores externos, URL de descarga y montos del documento. La data siempre queda limitada al website autorizado por el token de API y el documento debe pertenecer al local enviado en storeId.⌘I